<id>
Advanced Maintenance Alert for YaBB 2.6.1
</id>

<version>
0.1
</version>

<mod info>
This mod extra alert functions for multi-admin forums.

Version History
---------------
0.1 - First release - October 31, 2014

Instructions:

Apply the mod and upload (in ASCII mode):

cgi-bin/yabb2/Admin/Modlist.pm
cgi-bin/yabb2/Languages/English/Main.lng
cgi-bin/yabb2/Languages/English/Post.lng
cgi-bin/yabb2/Sources/Post.pm
cgi-bin/yabb2/Sources/Subs.pm
</mod info>

<author>
Dandello
</author>

<homepage>
http://www.yabbforumsoftware.com.net/cgi-bin/yabb2/YaBB.pl
</homepage>

<edit file>
Admin/ModList.pm
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
    $advmaint_alert = "Advanced Maintenance Alert for YaBB 2.6.1|Dandello|This mod extra alert functions for multi-admin forums.|0.1|10/31/2014";
    push @installed_mods, $advmaint_alert;
</add before>

<edit file>
cgi-bin/yabb2/Languages/English/Main.lng
</edit file>

<search for> 
1;
</search for>

<add before>
$load_txt{'maint'} = 'Maintenance';

</add before>

<edit file>
cgi-bin/yabb2/Languages/English/Post.lng
</edit file>

<search for>
1;
</search for>

<add before>
$post_txt{'616c'} = q~ This forum is in Maintenance Mode! ~;

</add before>

<edit file>
Sources/Post.pm
</edit file>

<search for>
   if (isError > 0) {
        alert(msgError);
        if (isError == 1) imWin();
        else if (isError == 2) theForm.name.focus();
        else if (isError == 3) theForm.email.focus();
        else if (isError == 4) theForm.subject.focus();
        else if (isError == 5) theForm.message.focus();
        return false;
    }
    return true;
</search for>

<replace>
    if (isError > 0) {
        alert(msgError);
        if (isError == 1) imWin();
        else if (isError == 2) theForm.name.focus();
        else if (isError == 3) theForm.email.focus();
        else if (isError == 4) theForm.subject.focus();
        else if (isError == 5) theForm.message.focus();
        return false;
    }~;
    if ( ( $iamadmin || $iamgmod ) && $maintenance ) {
        $post_alert = qq~    var maintmsg = "$post_txt{'616c'}\\n";
    alert(maintmsg);~;
    }
    $my_q_quote .= $post_alert
    . q~return true;
</replace>

<edit file>
Sources/Subs.pm
</edit file>

<search for>
            $yyadmin_alert .=
              qq~<br /><span class="highlight"><b>$load_txt{'616'}</b></span>~;
            $yyadmin_alert =~ s/USER/$user/sm;
</search for>

<replace>
            $yyadmin_alert .=
              qq~<br /><span class="highlight"><b>$load_txt{'616'}</b><br />($maintenancetext)</span>~;
            $yyadmin_alert =~ s/USER/$user/sm;
            $yymaint_alert = qq~<span style="background-color:yellow; padding:0 20px"> <img src="$imagesdir/alert.png" alt="$load_txt{'maint'}" title="$load_txt{'maint'}" height="25" /> <img src="$imagesdir/alert.png" alt="$load_txt{'maint'}" title="$load_txt{'maint'}" height="25" /> <img src="$imagesdir/alert.png" alt="$load_txt{'maint'}" title="$load_txt{'maint'}" height="25" /> </span>~;
</replace>

<edit file>
Templates/default/default.html
</edit file>

<search for>
                    {yabb tabmenu}
</search for>

<add after>
                    {yabb maint_alert}
</add after>